Bug 820400 - [RFE] Remove ability to download template from Library
[RFE] Remove ability to download template from Library
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Brad Buckingham
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 16:04 EDT by james labocki
Modified: 2014-09-18 11:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-11 14:53:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description james labocki 2012-05-09 16:04:01 EDT
Description of problem:
If there is never a case where system templates from "Library" should be uploaded to Cloud Engine for building then the ability to download from Library should be removed. If a user would like to verify the template before promoting the UI should be sufficient for review. If the UI is not sufficient for reviewing then it should be made sufficient and the ability to download from "Library" should still be removed.
Comment 1 Mike McCune 2012-05-16 11:47:46 EDT
Couple options since there are some users that really like being able to view the raw template even in the library:

1) Big warning in an XML comment that this is a template from the Library and should not be used to provision systems with

2) Render it as text instead of XML so it is impossible to use outside the scope of just validation

3) Render it as XML but change the tags so it is not usable 

I've CLOSED:WONTFIX bugs like this a few times but we should be able to find some sort of compromise.
Comment 2 Mike McCune 2013-08-16 14:17:31 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 3 Bryan Kearney 2014-03-11 14:53:41 EDT
Closing old bugs which are not relevant based on new UI and CLI
Comment 4 Bryan Kearney 2014-03-12 18:52:19 EDT
Closing old bugs which are not relevant based on new UI and CLI

Note You need to log in before you can comment on or make changes to this bug.